@charset "utf-8";
form, .form-table {
	width: 100%;
}
.form-error {
	width: 100%;
	height: clamp(3.125rem, 2.3864rem + 1.8182vw, 3.75rem);
	margin: clamp(1.25rem, -0.9659rem + 5.4545vw, 3.125rem) 0;
	padding-left: 1.875rem;
	color: white;
	background: #D85553;
	visibility: hidden;
}
.form-error p {
	font-size: clamp(0.875rem, 0.4318rem + 1.0909vw, 1.25rem);
	line-height: clamp(3.125rem, 2.3864rem + 1.8182vw, 3.75rem);
}
/* 入力欄 */
.form-radio, .form-row {
	margin-bottom: 2.5rem;
	display: flex;
	flex-wrap: wrap;
	overflow: hidden;
}
.form-row {
	justify-content: space-between;
	align-items: center;
}
.form-radio.open, .form-row.open {
	margin-bottom: 0;
}
.form-radio.open-empty, .form-row.open-empty {
	margin-bottom: 0;
}
.last-form {
	height: auto;
	align-items: flex-start;
}
.last-form.open {
	margin-bottom: 2.5rem;
}
.last-form label, .last-tr th {
	height: 9.375rem;
	margin-bottom: auto;
	padding-top: 1rem;
}
.form-radio label, .form-radio input, .form-row label, .form-row input, .form-row textarea {
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	font-size: clamp(0.875rem, 0.4318rem + 1.0909vw, 1.25rem);
}
.form-radio .required, .form-row .required {
	color: #D85553;
	margin-left: 0.25em;
	font-weight: bold;
	vertical-align: sub;
}
.form-radio .radio-group {
	width: clamp(25rem, -5.4688rem + 75vw, 43.75rem);
	margin-left: auto;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
.form-radio .radio-group input[type="radio"] {
	transform: scale(1.5);
	margin-right: 1.2rem;
}
.form-row input, .form-row textarea {
	width: clamp(25rem, -5.4688rem + 75vw, 43.75rem);
	max-width: 43.75rem;
	padding-left: clamp(0.625rem, -1rem + 4vw, 2.5rem);
	color: #0058E4;
	background: #D8FEFF;
	border: 1px solid var(--text);
}
.form-row input {
	height: clamp(3.125rem, 2.3864rem + 1.8182vw, 3.75rem);
}
.form-row input::-webkit-input-placeholder {
	color: #0058E4;
	letter-spacing: 1px;
}
.form-row input::-moz-placeholder {
	color: #0058E4;
	letter-spacing: 1px;
}
.form-row input:-ms-input-placeholder {
	color: #0058E4;
	letter-spacing: 1px;
}
.form-row input::-ms-input-placeholder {
	color: #0058E4;
	letter-spacing: 1px;
}
.form-row input::placeholder {
	color: #0058E4;
	letter-spacing: 1px;
}
.form-row textarea {
	height: 9.375rem;
	min-height: 4.375rem;
	padding: 1rem 2.5rem;
	padding-left: clamp(0.625rem, -1rem + 4vw, 2.5rem);
}
/* ↓autocomplete時の装飾 */
.form-row input:-webkit-autofill, select:-webkit-autofill {
	color: #0058E4 !important;
	-webkit-text-fill-color: #0058E4 !important;
	-webkit-box-shadow: 0 0 0px 1000px #D8FEFF inset !important;
}
/* ========その他コンテンツ======== */
.form-consent {
	display: flex;
	flex-direction: column;
	align-items: center;
}
.form-consent .agree {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-bottom: 2.5rem;
}
.form-consent .agree a {
	color: var(--text);
	text-decoration: underline;
}
.form-consent label {
	display: flex;
	cursor: pointer;
}
input[type="checkbox"] {
	display: none;
}
.checkmark {
	padding-left: 2rem;
	position: relative;
}
.checkmark::before {
	content: '';
	display: inline-block;
	position: absolute;
	width: 1.1875rem;
	height: 1.1875rem;
	top: .1rem;
	left: 0;
	border: 1.5px solid var(--text);
}
.checkmark::after {
	content: '';
	display: inline-block;
	position: absolute;
	width: .9rem;
	padding-top: .4rem;
	top: 7px;
	left: 2px;
	border-left: 2px solid var(--text);
	border-bottom: 2px solid var(--text);
	transform: rotate(-50deg);
	opacity: 0;
}
input[type=checkbox]:checked+span::after {
	opacity: 1;
}
.error-message-agree {
	display: none;
	margin-top: 1rem;
	font-size: clamp(0.875rem, 0.5795rem + 0.7273vw, 1.125rem);
	color: #ff4d4d;
}
.error-message-agree.open {
	display: block;
}
/* エラー時 */
.error-message {
	width: clamp(25rem, -5.4688rem + 75vw, 43.75rem);
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.4s ease, padding 0.4s ease;
	margin-left: auto;
	font-size: clamp(0.875rem, 0.7273rem + 0.3636vw, 1rem);
	color: #ff4d4d;
}
.error-message.open {
	max-height: 2.5rem;
	padding: .4rem 0 .6rem;
}
.error-message.open-empty {
	max-height: 2.5rem;
	padding: .4rem 0 .6rem;
}
.form-radio .error-message.open {
	max-height: 6rem;
	padding: 1.2rem 0 2rem;
}
.form-radio .error-message.open-empty {
	max-height: 6rem;
	padding: 1.2rem 0 2rem;
}
/* ボタン関連 */
.button {
	width: clamp(18rem, -3.7329rem + 41.6438vw, 27.5rem);
	height: clamp(4rem, 0.2825rem + 7.1233vw, 5.625rem);
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: clamp(1.0625rem, 0.6336rem + 0.8219vw, 1.25rem);
	border-radius: 5rem;
	text-decoration: underline;
	text-underline-offset: 5px;
	-webkit-text-underline-offset: 5px;
	transition: all 0.3s ease;
	cursor: pointer;
}
.top-button {
	background-color: var(--text);
	color: #FFFCF5;
}
.back-button {
	background-color: #C6EFFF;
	color: var(--text);
	border: 1px solid var(--text);
}
.arrow, .back-arrow {
	width: clamp(1.5625rem, 0.8476rem + 1.3699vw, 1.875rem);
	height: 1.5px;
	margin: clamp(0.3125rem, -1.8322rem + 4.1096vw, 1.25rem);
	position: relative;
	display: inline-block;
	border-radius: 9999px;
	transition: all 0.3s ease;
}
.top-button .arrow {
	background-color: #FFFCF5;
	transform: translateX(0);
}
.top-button .arrow::before, .top-button .arrow::after {
	content: '';
	position: absolute;
	right: 0;
	width: 6px;
	height: 1.5px;
	border-radius: 9999px;
	background-color: #FFFCF5;
	transform-origin: calc(100% - 0.5px) 50%;
}
.top-button .arrow::before {
	transform: rotate(45deg);
}
.top-button .arrow::after {
	transform: rotate(-45deg);
}
.top-button:hover .arrow {
	transform: translateX(6px);
}
/* ========確認画面======== */
.form-table {
	margin-top: clamp(3.4375rem, 0.1136rem + 8.1818vw, 6.25rem);
	border-collapse: separate;
}
.form-table tr {
	height: 3.75rem;
	margin-bottom: 2.5rem;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	font-size: clamp(0.875rem, 0.4318rem + 1.0909vw, 1.25rem);
	overflow: hidden;
}
.form-table th {
	font-weight: 400;
}
.form-table .last-tr {
	height: auto;
	margin-bottom: 6.25rem;
}
.form-table td {
	width: clamp(25rem, -5.4688rem + 75vw, 43.75rem);
	max-width: 43.75rem;
	padding-left: 2.5rem;
	color: #0058E4;
}
.form-table .last-form-content {
	width: 100%;
	padding: 1rem 0 6.25rem;
	text-wrap: wrap;
	white-space: pre-line;
}
.confirm-form {
	display: flex;
	justify-content: center;
	gap: 2.5rem;
}
.back-button .back-arrow {
	background-color: var(--text);
	transform: translateX(0);
}
.back-button .back-arrow::before, .back-button .back-arrow::after {
	content: '';
	position: absolute;
	left: -.4rem;
	width: 6px;
	height: 1.5px;
	border-radius: 9999px;
	background-color: var(--text);
	transform-origin: calc(100% - 0.5px) 50%;
}
.back-button .back-arrow::before {
	transform: rotate(135deg);
}
.back-button .back-arrow::after {
	transform: rotate(-135deg);
}
.back-button:hover .back-arrow {
	transform: translateX(-6px);
}
/* ========完了画面======== */
#complete {
	margin-bottom: clamp(6.25rem, -1.1364rem + 18.1818vw, 12.5rem);
	display: flex;
	flex-direction: column;
	align-items: center;
}
#complete .complete-heading {
	margin-bottom: clamp(3.75rem, 0.7955rem + 7.2727vw, 6.25rem);
	text-align: center;
	letter-spacing: 1px;
	line-height: 2rem;
}
#complete .top-button {
	margin: 0 auto;
}
/* ======================背景の装飾部分====================== */
.deco-1 {
	top: 14%;
	right: .2%;
}
.deco-2 {
	top: 57%;
	left: 3%;
}
@media (max-width: 999px) {
	.deco-1 {
		right: 0;
	}
	.deco-2 {
		left: 0;
	}
}
@media (max-width: 650px) {
	.form-row, .last-form label, .last-form th {
		height: auto;
	}
	.form-row label {
		padding-top: 0;
	}
	.form-radio .radio-group {
		width: 100%;
		margin: 1.25rem 0 0;
		gap: 1.25rem;
	}
	.form-radio .radio-group input[type="radio"] {
		transform: scale(1.2);
		margin-left: .5rem;
	}
	.form-row input, .form-row textarea {
		width: 100%;
		padding-left: .625rem;
	}
	.form-row textarea {
		height: clamp(5rem, 1.1957rem + 14.4928vw, 8.75rem);
		min-height: clamp(3.125rem, 2.4909rem + 2.4155vw, 3.75rem);
		padding: .5rem .625rem;
		font-weight: 400;
	}
	/* ========その他コンテンツ======== */
	.form-consent .agree {
		margin-bottom: 2.125rem;
		font-size: clamp(0.875rem, 0.7482rem + 0.4831vw, 1rem);
	}
	.checkmark::before {
		width: 0.9375rem;
		height: 0.9375rem;
		top: clamp(0.2rem, -0.0029rem + 0.7729vw, 0.4rem);
	}
	.checkmark::after {
		width: .7rem;
		padding-top: .2rem;
		top: clamp(0.5rem, 0.3098rem + 0.7246vw, 0.6875rem);
		left: 1.5px;
	}
	/* エラー時 */
	.error-message {
		width: 100%;
		margin-left: 0;
		font-size: clamp(0.875rem, 0.7482rem + 0.4831vw, 1rem);
	}
	.error-message.open {
		max-height: 5rem;
		padding: .5rem 0 1rem;
	}
	.error-message.open-empty {
		max-height: 5rem;
		padding: .5rem 0 1rem;
	}
	.form-radio .error-message.open {
		padding: 1rem 0 1.5rem;
	}
	.form-radio .error-message.open-empty {
		padding: 1rem 0 1.5rem;
	}
	.top-button, .back-button {
		width: 100%;
		max-width: 21.25rem;
		height: 5.125rem;
	}
	/* ========確認画面======== */
	.container .confirm-title {
		font-size: clamp(1.25rem, -1.25rem + 10vw, 2.8125rem);
	}
	.form-table tr {
		height: auto;
		margin-bottom: 1.25rem;
	}
	.form-table .last-tr th, .form-table .last-tr td {
		height: auto;
	}
	.form-table td {
		width: 100%;
		height: clamp(3.125rem, 2.4909rem + 2.4155vw, 3.75rem);
		padding-left: .625rem;
		display: flex;
		flex-direction: column;
		justify-content: center;
	}
	.confirm-form {
		flex-direction: column-reverse;
		align-items: center;
		gap: 1.875rem;
	}
	.back-button .back-arrow {
		width: 1.25rem;
		margin: 0.9375rem;
	}
	.back-button .back-arrow::before, .back-button .back-arrow::after {
		left: -.4rem;
		width: 6px;
		height: 1.5px;
		content: "";
		position: absolute;
		border-radius: 9999px;
		background-color: var(--text);
		transform-origin: calc(100% - 0.5px) 50%;
	}
}